<template>
  <div>
    <div class="flex items-center">
      <input
        v-model="password"
        :id="inputId"
        class="ada-text-input password-input"
        :type="showPassword ? 'text' : 'password'"
      >
      <!-- I don't understand why we need to have something like "w-1/12" above.
      If not the button is placed outside the flex zone. -->
      <button
        class="ada-button-minor password-button"
        @click="showPassword = !showPassword"
      >
        {{
          showPassword
          ? $t('passwordInput.hide')
          : $t('passwordInput.show')
        }}
      </button>
    </div>
  </div>
</template>

<script>
export default {
  name: 'PasswordInput',
  props: ['modelValue', 'inputId'],
  emits: ['update:modelValue'],
  data () {
    return {
      showPassword: false
    }
  },
  computed: {
    password: {
      get() {
        return this.modelValue
      },
      set(value) {
        this.$emit('update:modelValue', value)
      }
    },
    passwordCheck: {
      get() {
        return this.modelValue
      },
      set(value) {
        this.$emit('update:modelValue', value)
      }
    }
  }
}
</script>

<style lang="postcss" scoped>
.password-input {
  @apply w-1/12;
  @apply flex-auto;
}

.password-button {
  @apply ml-4 w-24 h-8;
  @apply flex-none;
  @apply text-xs;
}
</style>